// This file produces stcox and stpm3 output
// Paul Lambert 2024-08-08

clear all
set scheme fpsaus_c

use breast_EW50 

stset survtime, failure(dead==1) exit(time 5)
stcox i.dep, nolog noshow

stpm3 i.dep, scale(lncumhazard) df(5) eform nolog

list id _t _d _ns* in 1/5, noobs abb(7)
gen xb0 = _b[time:_ns1]*_ns1 + _b[time:_ns2]*_ns2 + _b[time:_ns3]*_ns3 + ///
          _b[time:_ns4]*_ns4 + _b[time:_ns5]*_ns5 + _b[time:_cons]
gen H0 = exp(xb0)
gen S0 = exp(-H0)          
list id _t _d xb0 H0 S0 in 1/5, noobs 



