clear
global dofile Weibull_example_functions.do
set scheme fpsaus_c

global lambda 0.2 
global gamma 1.2

set obs 100
range t 0 5
gen h = ${lambda}*${gamma}*t^(${gamma}-1) 
gen S = exp(-${lambda}*t^(${gamma}))
gen f = h*S
gen H = -ln(S)


twoway line h t, ///
       xtitle("Time") ///
       ytitle(h(t)) ///
       ylabel(,format(%3.1f)) ///
       title("Hazard Function") ///
       name(h, replace)
       
twoway line S t, ///
       xtitle("Time") ///
       ytitle(S(t)) ///
       ylabel(0(0.2)1,format(%3.1f)) ///
       title("Survival Function") ///
       name(s, replace)
       

twoway line f t, ///
       xtitle("Time") ///
       ytitle(f(t)) ///
       ylabel(,format(%3.2f)) ///
       title("Density Function") ///
       name(d, replace)       
       
       
twoway line H t, ///
       xtitle("Time") ///
       ytitle(H(t)) ///
       ylabel(,format(%3.2f)) ///
       title("Cumulative Hazard Function",size(*0.7)) ///
       name(H, replace)       
       
       
twoway line H t  if t>0.00000001, ///
       xtitle("Time") ///
       ytitle(H(t)) ///
       ylabel(,format(%3.2f)) ///
       title("Cumulative Hazard Function (log)",size(*0.7)) ///
       yscale(log range(0.01 1.5)) ///
       xscale(log range(0.1 5)) ///
       name(lnH, replace)   

graph combine h s d H lnH, cols(3) nocopies ///
      note("Graph code in ${dofile}", size(vsmall) span color(gs3%50))














