// Output for EW data

clear all
set scheme fpsaus_c
global dofile stpm3_predictions


use breast_NW if inlist(dep,1,5)
stset survtime, failure(dead==1) 

// we want to fit a model with age and i.dep included in the model
// we will use 3 df
gen lnt = ln(_t)
gensplines lnt, type(ns) df(3) gen(_ns)

// start by fitting a Cox model
stcox agediag i.dep

// obtain the linear predictor 
predict xb, xb

// obtain the baseline cumulative hazard
predict CH, basechazard

// obtain the cumulative hazard at _t for each subject
replace CH = CH*exp(xb)

// calculate log cumulative hazard
gen logCH = ln(CH)

// initial values obtained using least squares for those with an event
regress logCH agediag i.dep _ns1 _ns2 _ns3 if _d

matrix initb = e(b)
matrix list initb




